# Uses of Interface
org.springframework.jdbc.core.StatementCallback

Packages that use StatementCallback
Package
Description
org.springframework.jdbc.core
Provides the core JDBC framework, based on JdbcTemplate and its associated callback interfaces and helper objects.

## Uses of StatementCallback in org.springframework.jdbc.core

Methods in org.springframework.jdbc.core with parameters of type StatementCallback
Modifier and Type
Method
Description
`<T> T`
JdbcOperations.`execute(StatementCallback<T> action)`
Execute a JDBC data access operation, implemented as callback action working on a JDBC Statement.
`<T> T`
JdbcTemplate.`execute(StatementCallback<T> action)`